<?php

namespace Drupal\Tests\diba_clean\Functional;

use Drupal\Tests\BrowserTestBase;

/**
 * Tests Diba Clean theme.
 */
class DibaCleanInstallTest extends BrowserTestBase {

  /**
   * Modules to enable.
   *
   * @var string[]
   */
  protected static $modules = ['shortcut'];

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'diba_clean';

  /**
   * Test Diba Clean configuration schema.
   */
  public function testConfigSchema() {
    $this->drupalLogin($this->rootUser);
    $this->drupalGet('admin/appearance/settings/' . $this->defaultTheme);
    $this->submitForm([], 'Save configuration');
    $this->assertSession()->statusCodeEquals(200);
  }

}
